Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PointSelectionListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PointSelectionListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PointSelectionListener.java	(revision 38564)
@@ -43,8 +43,7 @@
 import java.awt.Image;
 import java.awt.geom.Point2D;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureSelection;
 import org.gvsig.fmap.dal.feature.FeatureSet;
@@ -64,8 +63,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image img = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/PointSelectCursor.gif")).getImage();
+//	private final Image img = PluginServices.getIconTheme().get("cursor-select-by-point").getImage();
 
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -133,7 +131,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getCursor()
 	 */
 	public Image getImageCursor() {
-		return img;
+		return IconThemeHelper.getImage("cursor-select-by-point");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PanListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PanListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PanListenerImpl.java	(revision 38564)
@@ -44,14 +44,12 @@
 import java.awt.geom.Point2D;
 import java.awt.geom.Rectangle2D;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
 import org.gvsig.fmap.geom.primitive.Envelope;
-import org.gvsig.fmap.geom.util.UtilFunctions;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.Events.MoveEvent;
@@ -76,8 +74,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image ipan = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/Hand.gif")).getImage();
+//	private final Image ipan = PluginServices.getIconTheme().get("cursor-pan").getImage();
 	
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -124,7 +121,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getCursor()
 	 */
 	public Image getImageCursor() {
-		return ipan;
+		return IconThemeHelper.getImage("cursor-pan");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/SelectImageListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/SelectImageListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/SelectImageListenerImpl.java	(revision 38564)
@@ -40,14 +40,10 @@
 */
 package org.gvsig.fmap.mapcontrol.tools;
 
-import java.awt.Cursor;
 import java.awt.Image;
-import java.awt.Point;
-import java.awt.Toolkit;
 import java.awt.geom.Point2D;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.Events.PointEvent;
 import org.gvsig.fmap.mapcontrol.tools.Listeners.PointListener;
@@ -65,8 +61,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image isaveraster = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/PointSelectCursor.gif")).getImage();
+//	private final Image isaveraster = PluginServices.getIconTheme().get("cursor-select-by-point").getImage();
 
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -100,7 +95,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return isaveraster;
+		return IconThemeHelper.getImage("cursor-select-by-point");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutRightButtonListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutRightButtonListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutRightButtonListener.java	(revision 38564)
@@ -44,14 +44,12 @@
 import java.awt.event.MouseEvent;
 import java.awt.geom.Point2D;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
 import org.gvsig.fmap.geom.primitive.Envelope;
-import org.gvsig.fmap.geom.util.UtilFunctions;
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControl;
@@ -99,8 +97,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image izoomout = new ImageIcon(MapControl.class.getClassLoader().getResource(
-	"org/gvsig/fmap/mapcontrol/images/ZoomOutCursor.gif")).getImage();
+//	private final Image izoomout = PluginServices.getIconTheme().get("cursor-zoom-out").getImage();
 	
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -153,7 +150,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return izoomout;
+		return IconThemeHelper.getImage("cursor-zoom-out");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/BehaviorException.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/BehaviorException.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/BehaviorException.java	(revision 38564)
@@ -40,6 +40,8 @@
  */
 package org.gvsig.fmap.mapcontrol.tools;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
+
 /**
  * <p>Exception produced when fails the process that interacts with a {@link MapControl MapControl} object,
  *  using some tool.</p>
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/RectangleBehavior.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/RectangleBehavior.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/RectangleBehavior.java	(revision 38564)
@@ -41,7 +41,6 @@
 package org.gvsig.fmap.mapcontrol.tools.Behavior;
 
 import java.awt.Color;
-import java.awt.Graphics;
 import java.awt.Point;
 import java.awt.Rectangle;
 import java.awt.event.MouseEvent;
@@ -49,12 +48,11 @@
 import java.awt.geom.Rectangle2D;
 import java.awt.image.BufferedImage;
 
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
 import org.gvsig.fmap.geom.primitive.Envelope;
-import org.gvsig.fmap.geom.util.UtilFunctions;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControlDrawer;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/PolygonBehavior.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/PolygonBehavior.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/PolygonBehavior.java	(revision 38564)
@@ -40,7 +40,6 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Behavior;
 
-import java.awt.Graphics;
 import java.awt.event.MouseEvent;
 import java.awt.geom.Point2D;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/IBehavior.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/IBehavior.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/IBehavior.java	(revision 38564)
@@ -1,5 +1,6 @@
 package org.gvsig.fmap.mapcontrol.tools.Behavior;
 
+import java.awt.Graphics;
 import java.awt.Image;
 import java.awt.event.MouseEvent;
 import java.awt.event.MouseWheelEvent;
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/DraggerBehavior.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/DraggerBehavior.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Behavior/DraggerBehavior.java	(revision 38564)
@@ -40,7 +40,6 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Behavior;
 
-import java.awt.Graphics;
 import java.awt.event.MouseEvent;
 import java.awt.geom.Point2D;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/RectangleSelectionListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/RectangleSelectionListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/RectangleSelectionListener.java	(revision 38564)
@@ -42,8 +42,7 @@
 
 import java.awt.Image;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureSelection;
 import org.gvsig.fmap.dal.feature.FeatureSet;
@@ -65,8 +64,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image img = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/RectSelectCursor.gif")).getImage();
+//	private final Image img = PluginServices.getIconTheme().get("cursor-select-by-polygon").getImage();
 
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -123,7 +121,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return img;
+		return IconThemeHelper.getImage("cursor-select-by-polygon");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Events/PointEvent.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Events/PointEvent.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Events/PointEvent.java	(revision 38564)
@@ -43,10 +43,6 @@
 import java.awt.event.MouseEvent;
 import java.awt.geom.Point2D;
 
-import org.gvsig.fmap.geom.Geometry;
-import org.gvsig.fmap.geom.GeometryLocator;
-import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.exception.CreateGeometryException;
 import org.gvsig.fmap.geom.primitive.Point;
 import org.gvsig.fmap.mapcontrol.MapControl;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/RectangleListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/RectangleListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/RectangleListener.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Listeners;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
 import org.gvsig.fmap.mapcontrol.tools.Events.EnvelopeEvent;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PointListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PointListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PointListener.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Listeners;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
 import org.gvsig.fmap.mapcontrol.tools.Events.PointEvent;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PolylineListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PolylineListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PolylineListener.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Listeners;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
 import org.gvsig.fmap.mapcontrol.tools.Events.MeasureEvent;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PanListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PanListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/PanListener.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Listeners;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
 import org.gvsig.fmap.mapcontrol.tools.Events.MoveEvent;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/CircleListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/CircleListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/Listeners/CircleListener.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.fmap.mapcontrol.tools.Listeners;
 
+import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
 import org.gvsig.fmap.mapcontrol.tools.Events.MeasureEvent;
 
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/MeasureListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/MeasureListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/MeasureListenerImpl.java	(revision 38564)
@@ -43,8 +43,7 @@
 import java.awt.Image;
 import java.awt.Point;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.Events.MeasureEvent;
@@ -66,9 +65,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image iruler = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/RulerCursor.gif")).getImage();
-
+//	private final Image iruler = PluginServices.getIconTheme().get("cursor-query-area").getImage();
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
 	 */
@@ -114,7 +111,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return iruler;
+		return IconThemeHelper.getImage("cursor-query-area");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/MapControlLibrary.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/MapControlLibrary.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/MapControlLibrary.java	(revision 38564)
@@ -28,6 +28,7 @@
 
 import java.util.Locale;
 
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.mapcontext.MapContextLibrary;
 import org.gvsig.i18n.Messages;
 import org.gvsig.tools.library.AbstractLibrary;
@@ -59,5 +60,17 @@
 	
 	@Override
 	protected void doPostInitialize() throws LibraryException {
+	   	IconThemeHelper.registerIcon("cursor", "cursor-crux", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-info-by-point",this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-pan", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-query-area", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-select-by-point", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-select-by-polygon", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-zoom-in", this);
+	   	IconThemeHelper.registerIcon("cursor", "cursor-zoom-out", this);
+
+	   	IconThemeHelper.registerIcon("layer", "layer-icon", this);
+	   	IconThemeHelper.registerIcon("layer", "layer-icon-group", this);
+	   	IconThemeHelper.registerIcon("layer", "layer-icon-vectorial", this);
 	}
 }
\ No newline at end of file
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/IconThemeHelper.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/IconThemeHelper.java	(revision 0)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/IconThemeHelper.java	(revision 38564)
@@ -0,0 +1,46 @@
+package org.gvsig.fmap;
+
+import java.awt.Image;
+
+import javax.swing.ImageIcon;
+
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class IconThemeHelper {
+
+	private static Logger logger = LoggerFactory.getLogger(IconThemeHelper.class);
+	
+	public static void registerIcon(String group, String name, Object obj) {
+		String resourceName;
+		ClassLoader loader;
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent();
+		if( group == null || group.trim().length()==0 ) {
+			resourceName = "images/"+name+".png";
+		} else {
+			resourceName = "images/"+group+"/"+name+".png";
+		}
+		if( obj instanceof Class ) {
+			loader = ((Class) obj).getClassLoader();
+		} else {
+			loader = obj.getClass().getClassLoader();
+		}
+		try {
+			iconTheme.registerDefault("mapcontrol", group, name, null, loader.getResource(resourceName));
+		} catch( Throwable e) {
+			logger.info(e.getMessage());
+		}
+	}
+
+	public static ImageIcon getImageIcon(String iconName) {
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent();
+		return iconTheme.get(iconName);
+	}
+	
+	public static Image getImage(String iconName) {
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent();
+		return iconTheme.get(iconName).getImage();
+	}
+}

Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/StatusBar.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/StatusBar.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/StatusBar.java	(revision 38564)
@@ -21,6 +21,8 @@
  */
 package org.gvsig.coreplugin;
 
+import javax.swing.JOptionPane;
+
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.MessageEvent;
 import org.gvsig.andami.messages.NotificationListener;
@@ -44,8 +46,8 @@
      * @see com.iver.mdiApp.NotificationListener#errorEvent(java.lang.String)
      */
     public void errorEvent(MessageEvent e) {
-        PluginServices.getMainFrame().getStatusBar()
-            .setErrorText(e.getMessages()[0]);
+    	String msg = e.getMessages()[0];
+        PluginServices.getMainFrame().getStatusBar().message(msg, JOptionPane.ERROR_MESSAGE);
     }
 
     /**
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/Consola.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/Consola.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/Consola.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.coreplugin;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -59,6 +60,8 @@
      * @see com.iver.mdiApp.IExtension#initialize()
      */
     public void initialize() {
+    	IconThemeHelper.registerIcon("action", "show-console", this);
+    	
     	ps = PluginServices.getPluginServices(this);
     	consolaFrame = new ConsolaFrame();
     	NotificationManager.addNotificationListener(consolaFrame);
@@ -69,19 +72,17 @@
 //    	notificationDialog= new NotificationDialog();
 //    	NotificationManager.addNotificationListener(notificationDialog);
 
-    	PluginServices.getIconTheme().registerDefault(
-				"application-console",
-				this.getClass().getClassLoader().getResource("images/console.png")
-			);
     }
 
 	/* (non-Javadoc)
 	 * @see com.iver.andami.plugins.Extension#execute(java.lang.String)
 	 */
 	public void execute(String actionCommand) {
-		consolaFrame.setSize(400, 325);
-		consolaFrame.setVisible(true);
-        PluginServices.getMDIManager().addWindow(consolaFrame);
+		if( "show-console".equalsIgnoreCase(actionCommand) ) {
+			consolaFrame.setSize(400, 325);
+			consolaFrame.setVisible(true);
+	        PluginServices.getMDIManager().addWindow(consolaFrame);
+		}
 	}
 
 	/* (non-Javadoc)
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/PreferencesExtension.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/PreferencesExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/PreferencesExtension.java	(revision 38564)
@@ -4,6 +4,7 @@
 import java.util.HashMap;
 import java.util.Iterator;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.Launcher;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
@@ -63,106 +64,32 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"application-preferences",
-				this.getClass().getClassLoader().getResource("images/config.png")
-			);
+		IconThemeHelper.registerIcon("action", "edit-setup", this);
 
-			// AppearancePage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-appearance",
-					this.getClass().getClassLoader().getResource("images/gnome-settings-theme.png")
-				);
-
-			// BrowserControlPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-browsercontrol",
-					this.getClass().getClassLoader().getResource("images/browser.png")
-				);
-
-
-			// DirExtensionPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-dirextension",
-					this.getClass().getClassLoader().getResource("images/file-manager.png")
-				);
-
-			// ExtensionPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-extension",
-					this.getClass().getClassLoader().getResource("images/emblem-work.png")
-				);
-
-			// ExtensionsPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-extensions",
-					this.getClass().getClassLoader().getResource("images/bonobo-component-browser.png")
-				);
-
-			// FolderingPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-foldering",
-					this.getClass().getClassLoader().getResource("images/folder.png")
-				);
-
-			// LanguagePage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-language",
-					this.getClass().getClassLoader().getResource("images/babel.png")
-				);
-
-			// ScreenSettingsPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-screensetting",
-					this.getClass().getClassLoader().getResource("images/resolution.png")
-				);
-			// FirewallPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-firewall",
-					this.getClass().getClassLoader().getResource("images/shield.png")
-				);
-
-			// NetworkPage.java
-			//
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-network",
-					this.getClass().getClassLoader().getResource("images/network.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"application-console",
-					this.getClass().getClassLoader().getResource("images/console.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"gnome-settings-theme",
-					this.getClass().getClassLoader().getResource("images/gnome-settings-theme.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"browser-icon",
-					this.getClass().getClassLoader().getResource("images/browser.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"file-manager",
-					this.getClass().getClassLoader().getResource("images/file-manager.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"emblem-work",
-					this.getClass().getClassLoader().getResource("images/emblem-work.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"folder-icon",
-					this.getClass().getClassLoader().getResource("images/folder.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"kde-network-online-icon",
-					this.getClass().getClassLoader().getResource("images/kde-network-online.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"kde-network-offline-icon",
-					this.getClass().getClassLoader().getResource("images/kde-network-offline.png")
-				);
-
-
-
+		// AppearancePage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-appearance", this);
+		// BrowserControlPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-browsercontrol", this);
+		// DirExtensionPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-dirextension", this);
+		// ExtensionPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-extension", this);
+		// ExtensionsPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-extensions", this);
+		// GeneralPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-general", this);
+		// FolderingPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-foldering", this);
+		// LanguagePage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-language", this);
+		// ScreenSettingsPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-screensetting", this);
+		// FirewallPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-firewall", this);
+		// NetworkPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-network", this);
+		// SkinPreferences.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-skin", this);
 	}
 
 	public void execute(String actionCommand) {
@@ -171,10 +98,11 @@
 			initializeExtensionsConfig();
 			this.initilizedExtensions = true;
 		}
-
-		DlgPreferences dlgPreferences=PluginServices.getDlgPreferences();
-		dlgPreferences.refreshExtensionPoints();
-		PluginServices.getMDIManager().addWindow(dlgPreferences);
+		if ("edit-setup".equalsIgnoreCase(actionCommand)) {
+			DlgPreferences dlgPreferences = PluginServices.getDlgPreferences();
+			dlgPreferences.refreshExtensionPoints();
+			PluginServices.getMDIManager().addWindow(dlgPreferences);
+		}
 	}
 	public boolean isEnabled() {
 		return true;
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/NotificationDialogNew.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/NotificationDialogNew.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/NotificationDialogNew.java	(revision 38564)
@@ -8,10 +8,8 @@
 import java.awt.LayoutManager;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
-import java.net.URL;
 
 import javax.swing.BorderFactory;
-import javax.swing.ImageIcon;
 import javax.swing.JButton;
 import javax.swing.JComponent;
 import javax.swing.JLabel;
@@ -22,6 +20,7 @@
 import javax.swing.border.Border;
 import javax.swing.border.TitledBorder;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.MessageEvent;
 import org.gvsig.andami.messages.NotificationListener;
@@ -114,8 +113,7 @@
 			this.setBorder(border);
 
 			this.image = new JLabel();
-			URL stopurl = this.getClass().getClassLoader().getResource("images/stop.png");
-			this.image.setIcon(new ImageIcon(stopurl));
+			this.image.setIcon(IconThemeHelper.getImageIcon("show-console") );
 			addComppnent(this, this.image, 0, 0, 1, 1, 0, 0,
 					GridBagConstraints.NONE, GridBagConstraints.CENTER);
 
Index: branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/FirewallPage.java
===================================================================
--- branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/FirewallPage.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libCorePlugin/src/org/gvsig/coreplugin/preferences/network/FirewallPage.java	(revision 38564)
@@ -160,7 +160,7 @@
 	public FirewallPage() {
 		super();
 		//icon = new ImageIcon(this.getClass().getClassLoader().getResource("images/shield.png"));
-		icon=PluginServices.getIconTheme().get("aplication-preferences-firewall");
+		icon=PluginServices.getIconTheme().get("edit-setup-firewall");
 		setParentID(NetworkPage.id);
 //		 checkbox
 		addComponent(httpEnabled = new JCheckBox(PluginServices.getText(this,
